#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif
layout (location = 0) in vec3 v_coord;		// == gl_Vertex
layout (location = 2) in vec2 TexCoords;
layout (location = 4) in vec4 FogColor;
layout (location = 8) in vec4 LightColor;

layout(std140) uniform GlobalMatrices
{
	mat4 modelviewprojMat;
	mat4 modelviewMat; 
};

out vec4 vEyeSpacePos;
out vec4 vLightColor;
out vec4 vFogColor;
out vec2 vTexCoords;


void main(void)
{
	vec4 vEyeSpacePosVertex = modelviewMat*vec4(v_coord, 1.0);
	vEyeSpacePos = vEyeSpacePosVertex;

	vTexCoords=TexCoords;
	vLightColor	= LightColor;
	vFogColor	= FogColor;

	gl_Position = modelviewprojMat * vec4(v_coord, 1.0);
}
