#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif
uniform sampler2D Texture0;
uniform vec4 DrawColor;
uniform float AlphaThreshold;

in vec2 vTexCoords;
in vec4 vDrawColor;

out vec4 FragColor;

void main(void)
{
	vec4 TotalColor = texture(Texture0, vTexCoords); 
	if(TotalColor.a <= AlphaThreshold) 
        discard;

	TotalColor *= vDrawColor; // Add DrawColor.
	
	FragColor = TotalColor;             
}
